////////////////////////////////////////////////////////////////////////////////////////
// f_adddir_regname_comm
// 
// Functional test
// 	 Creates subdirectory "f_adddir_regname_comm" under "Program" and installs
//	  "thefolder" directory which contains smrtupdt.txt
//
// ~ XPInstall QA
//   August 16, 1999
//
//  March 30, 2000  jimmylee  Use initInstall, performInstall, and cancelInstall
//                            Rename test case to be consistent with other test names
//
////////////////////////////////////////////////////////////////////////////////////////

var regName = "adddir_regname_comm";
vi = "1.0.1.1";
var jarSrc = "thefolder";

initInstall("Functional: f_adddir_regname_comm", "f_adddir_regname_comm", vi, 0);
f = getFolder("Program", "f_adddir_regname_comm");
addDirectory("=COMM=/" + regName, vi, jarSrc, f, jarSrc, true);

if (0 == getLastError())
	performInstall();
else
	cancelInstall();
